<?php 

	error_reporting(E_ALL);
	
	include_once('../adodb/adodb.inc.php');
	include_once('config.inc.php');  	// config parameters
	include_once('../lenswiz/lenswiz.inc.php');	// installer libraries
	include_once('steps.inc.php');		// actual code that determines which step to goto

	$LENSWZ['STEP'] = 0;
	$LENSWIZ_LANG['LASTSTEP'] = $LENSWZ['LASTSTEP'];
	
	ob_start();
	session_start();
	$sesserr = ob_get_contents();
	ob_end_clean();
	if (!empty($sesserr)) {
		echo $LENSWIZ_LANG['ERR_SESSION'];
	}
	//session_destroy();
	 
	if (!isset($_SESSION['LENSWIZARD_'.$LENS_PROD])) {
		$_SESSION['LENSWIZARD_'.$LENS_PROD] = &$LENSWZ;
	} else {
		$LENSWZ = &$_SESSION['LENSWIZARD_'.$LENS_PROD];
	}
	
	foreach($LENSWIZ_LANG as $k=>$v) {
		$LENSWZ[$k] = $v;
	}
	
	$obj = new Lens_Wizard();
?>
<html>
<title>Installer</title>
<body bgcolor=#CCCCCC>
<table width=800 cellspacing=0 cellpadding=0 align=center bgcolor=white><tr><td>	
	<?php $obj->Render($LENSWZ); ?>
</table>
</body></html>
